> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update one field in a user profile

> Update the value of one field in a user profile



## OpenAPI

````yaml PUT /applications/{app}/users/{user}/data/fields/{field}
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /applications/{app}/users/{user}/data/fields/{field}:
    parameters:
      - $ref: '#/components/parameters/AppID'
      - $ref: '#/components/parameters/UserID'
      - $ref: '#/components/parameters/Field'
    put:
      description: Update the value of one field in a user profile
      operationId: application_user_data_field_update
      requestBody:
        content:
          multipart/form-data:
            schema:
              properties:
                value:
                  type: string
              required:
                - value
          application/json:
            schema:
              properties:
                value: {}
              required:
                - value
      responses:
        '200':
          description: The value of the data field
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppUserData'
      security:
        - appKey: []
          appSecret: []
        - hubAccessTokenForRowndApi: []
components:
  parameters:
    AppID:
      name: app
      in: path
      schema:
        type: string
      required: true
      description: Rownd application ID
    UserID:
      name: user
      in: path
      required: true
      schema:
        type: string
    Field:
      name: field
      in: path
      required: true
      schema:
        type: string
      description: The name of a field in your application schema
      example: first_name
  schemas:
    AppUserData:
      properties:
        rownd_user:
          readOnly: true
          type: string
          description: The user's ID
          example: user_a7b53gwdaml5jt7t71442nt7
        state:
          $ref: '#/components/schemas/AppUserDataState'
        auth_level:
          readOnly: true
          type: string
          description: The user's authentication level
          example: verified
        attributes:
          $ref: '#/components/schemas/AppUserDataAttributes'
        data:
          $ref: '#/components/schemas/AppUserDataData'
        verified_data:
          readOnly: true
          type: object
          additionalProperties: true
          description: User profile data that has been verified
          example:
            email: gary@foo.com
            phone_number: '+19199993333'
        groups:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/UserGroup'
          description: Groups in which the user is a member
        meta:
          readOnly: true
          allOf:
            - type: object
              properties:
                created:
                  type: string
                  format: date-time
                modified:
                  type: string
                  format: date-time
                first_sign_in:
                  type: string
                  format: date-time
                first_sign_in_method:
                  type: string
                last_sign_in:
                  type: string
                  format: date-time
                last_sign_in_method:
                  type: string
                last_active:
                  type: string
                  format: date-time
            - $ref: '#/components/schemas/MyUserMeta'
        connection_map:
          $ref: '#/components/schemas/AppUserDataConnectionMap'
          readOnly: true
    AppUserDataState:
      readOnly: true
      type: string
      enum:
        - enabled
        - disabled
      description: The user's state
      default: enabled
    AppUserDataAttributes:
      type: object
      description: User profile attributes
      additionalProperties:
        type: array
        items:
          type: string
      example:
        rownd:app_variants:
          - app_variant_1
          - app_variant_2
        myapp:subscription_status:
          - active
        myapp:loyalty_points:
          - '100'
    AppUserDataData:
      description: User profile data
      additionalProperties: true
      x-rownd-modifiers:
        - name: generateUserDataObjectUrls
          phase: response
        - name: maskEncryptedValues
          phase: response
      example:
        user_id: user_a7b53gwdaml5jt7t71442nt7
        email: gary@foo.com
        first_name: Gary
        last_name: Jackson
    UserGroup:
      required:
        - group
        - member
      properties:
        group:
          $ref: '#/components/schemas/Group'
          description: The group
        member:
          $ref: '#/components/schemas/GroupMember'
          description: The group member
    MyUserMeta:
      additionalProperties: false
      properties:
        last_passkey_registration_prompt:
          type: string
          format: date-time
      patternProperties:
        ^automation_.*$:
          type: string
    AppUserDataConnectionMap:
      additionalProperties:
        type: object
        properties:
          connection_record_id:
            type: string
          fields:
            type: object
            additionalProperties:
              type: object
              properties:
                in_sync:
                  type: boolean
    Group:
      properties:
        id:
          type: string
          readOnly: true
          description: The group ID
          example: group_a3l1n2lsnb3q0xbul9enjnh7
        name:
          type: string
          description: The group name
          example: My Teammates
        member_count:
          description: >
            This value is no longer provided by the API. The default value of 0
            will always be returned
          type: number
          readOnly: true
          default: 0
          deprecated: true
        app_id:
          type: string
          readOnly: true
          description: Rownd application ID
          example: '327677849595019856'
        admission_policy:
          type: string
          enum:
            - invite_only
            - open
          description: Set whether the group be open for anyone to join or by invite only
          default: invite_only
          example: invite_only
        meta:
          description: An object containing additional metadata for the group
          additionalProperties: true
          nullable: true
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        updated_by:
          $ref: '#/components/schemas/CreatedBy'
        created_by:
          $ref: '#/components/schemas/UpdatedBy'
    GroupMember:
      required:
        - user_id
        - roles
      properties:
        id:
          type: string
          readOnly: true
          description: The group member ID
          example: member_dnn5g4e3q6aptail2gr43kpj
        user_id:
          type: string
          description: >
            The ID of a user to add as a group member. The user must belong to
            the Rownd application.
          example: user_fbylaq38591cghym5pabupj2
        roles:
          type: array
          items:
            type: string
          description: >
            The roles that the member belongs. (The first member added or
            invited to a group will

            always be created with the 'owner' role along with any additional
            roles specified)
          example:
            - owner
            - editor
        state:
          $ref: '#/components/schemas/GroupMemberState'
        invited_by:
          type: string
          readOnly: true
          description: The authenticated party that invited the user to the group
        added_by:
          type: string
          readOnly: true
          description: The authenticated party that added the user to the gruop
        profile:
          $ref: '#/components/schemas/AppUserDataData'
          readOnly: true
        group_id:
          type: string
          readOnly: true
          description: The group ID
          example: group_ig42thhwf4cig25o7t9jtlyu
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: The ISO 8601 date-time that the resource was created
    UpdatedAt:
      type: string
      format: date-time
      readOnly: true
      description: The ISO 8601 date-time that the resource was updated
    CreatedBy:
      type: string
      readOnly: true
      example: user_t6ftnnmw55pamuhfo9xvw0yl
      description: The ID of the user that created the resource
    UpdatedBy:
      type: string
      readOnly: true
      example: user_t6ftnnmw55pamuhfo9xvw0yl
      description: The ID of the user that most recently updated the resource
    GroupMemberState:
      type: string
      enum:
        - active
        - invite_pending
        - invite_rejected
      description: >
        The state of the group member. A member that has been invited will not
        go into the `active`

        state until they accept the invitation.
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT
    appKey:
      type: apiKey
      in: header
      name: x-rownd-app-key
      description: >-
        The publishable key of your application credentials. ([more
        details](/configuration/app-credentials#appkey))
    appSecret:
      type: apiKey
      in: header
      name: x-rownd-app-secret
      description: >-
        The private secret of your application credentials. ([more
        details](/configuration/app-credentials#appsecret))

````